@echo off
cd %~dp0
echo *** Registering ECOM modules (on %cd%) ***
for %%f in (*CswEcom*.dll) do (regsvr32 /s %%f & if errorlevel 1 (echo %%f - registering failed!) else (echo %%f - done.))
echo.
echo If operation failed run as Administrator!
pause